Skip to main content
GET
/
squad
/
{id}
Get squad
curl --request GET \
  --url https://sandbox.api.fantasyfutbol.app/v1/squad/{id} \
  --header 'x-api-key: <api-key>'
{
  "statusCode": 123,
  "message": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "user": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_id": 123,
      "external_id": "<string>",
      "display_name": "<string>",
      "is_active": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "fantasy_league": {
      "id": 123,
      "name": "<string>",
      "is_active": true
    },
    "contest": {
      "id": 123,
      "name": "<string>",
      "is_active": true
    },
    "ranking": {
      "current_rank": 123,
      "game_week_points": 123,
      "total_points": 123,
      "game_week": "<string>"
    },
    "game_week": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "week": "<string>",
      "start_date": "2023-11-07T05:31:56Z",
      "end_date": "2023-11-07T05:31:56Z"
    },
    "finance": {
      "money_spent": 123,
      "squad_value": 123,
      "money_in_bank": 123,
      "budget": 123
    },
    "chips": [
      {
        "id": 123,
        "chip": "<string>",
        "is_available": true,
        "date_activated": "2023-11-07T05:31:56Z",
        "game_week_played": "<string>"
      }
    ],
    "free_transfers": 123,
    "mini_leagues": 123
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string<uuid>
required

Response

Squad retrieved

statusCode
integer
required
message
string
required
data
object
required